Skip to main content
POST
/
v1
/
users
Create User
curl --request POST \
  --url https://api.siit.io/v1/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "birthday_date": "2023-12-25",
  "city": "<string>",
  "country": "<string>",
  "employee_number": "<string>",
  "first_name": "<string>",
  "hire_date": "2023-12-25",
  "job_leave_date": "2023-12-25",
  "job_start_date": "2023-12-25",
  "job_title": "<string>",
  "last_name": "<string>",
  "last_working_date": "2023-12-25",
  "preferred_language": "<string>",
  "probation_end_date": "2023-12-25",
  "work_phone": "<string>",
  "department": "<string>",
  "legal_entity": "<string>",
  "office_location": "<string>",
  "report_to": "<string>",
  "teams": [
    "<string>"
  ]
}
'
{
  "result": {
    "birthday_date": "2023-12-25",
    "city": "<string>",
    "country": "<string>",
    "employee_number": "<string>",
    "first_name": "<string>",
    "hire_date": "2023-12-25",
    "job_leave_date": "2023-12-25",
    "job_start_date": "2023-12-25",
    "job_title": "<string>",
    "last_name": "<string>",
    "last_working_date": "2023-12-25",
    "preferred_language": "<string>",
    "probation_end_date": "2023-12-25",
    "work_phone": "<string>",
    "uid": "<string>",
    "archived_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "department": "<string>",
    "department_uid": "<string>",
    "emails": [
      "<string>"
    ],
    "full_name": "<string>",
    "legal_entity": "<string>",
    "legal_entity_uid": "<string>",
    "microsoft_entra_ids": [
      "<string>"
    ],
    "microsoft_entra_group_ids": [
      "<string>"
    ],
    "office_location": "<string>",
    "office_location_uid": "<string>",
    "report_to": "<string>",
    "report_to_uid": "<string>",
    "slack_user_id": "<string>",
    "status": "employee",
    "team_uids": [
      "<string>"
    ],
    "teams": [
      "<string>"
    ],
    "timezone": "<string>",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Introduction

Note: fields that are disabled or restricted to the current user cannot be set on creation.

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating or updating a User. Pass UIDs (not objects) for relationship fields.

email
string
required
birthday_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

city
string | null
contract_type
enum<string> | null
Available options:
fulltime,
parttime,
temporary,
contract,
expat,
intern
country
string | null

ISO3166 alpha-2 country code (e.g: "PT")

employee_number
string | null
first_name
string | null
gender
enum<string> | null
Available options:
other,
male,
female,
non_binary,
prefer_not_to_disclose
hire_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

job_leave_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

job_start_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

job_title
string | null
last_name
string | null
last_working_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

preferred_language
string | null

A language in IETF format (en-US, pt-PT, fr-FR...)

probation_end_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

work_phone
string | null
department
string | null

The department this user belongs to. Pass the UID of the related object.

The legal entity this user belongs to. Pass the UID of the related object.

office_location
string | null

The office location of this user. Pass the UID of the related object.

report_to
string | null

The manager of this user. Pass the UID of the related object.

teams
string[] | null

Teams this user belongs to. Pass an array of UIDs of the related objects.

Response

201 - application/json

Successful

result
object